Skip to content
Browse files

Merge pull request #6 from postmodern/master

Updated the gemspec using latest Bundler
  • Loading branch information...
2 parents 8bf83fb + b7d024d commit c394f6b0cdbd9c574aabf6f99e4f2ce3667f6f27 @whitequark committed Jul 9, 2012
Showing with 5 additions and 3 deletions.
  1. +5 −3 furnace-swf.gemspec
View
8 furnace-swf.gemspec
@@ -13,11 +13,13 @@ Gem::Specification.new do |s|
%q{Flash SWF files. It can be used with furnace-avm2 in } <<
%q{order to achieve impressive results.}
- s.files = `git ls-files`.split("\n")
- s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
- s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+ s.files = `git ls-files`.split($/)
+ s.executables = s.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
+ s.test_files = s.files.grep(%r{^(test|spec|features)/})
s.require_paths = ["lib"]
+ s.required_ruby_version = '>= 1.9.1'
+
s.add_runtime_dependency "bindata"
s.add_runtime_dependency "trollop"
end

0 comments on commit c394f6b

Please sign in to comment.
Something went wrong with that request. Please try again.